## org.apache.axis.components.encoding
Interface XMLEncoder

All Known Implementing Classes:
  AbstractXMLEncoder

public interface XMLEncoder

Interface for XMLEncoders

Method Summary
`java.lang.String` `encode(java.lang.String xmlString)` encode a given string
`java.lang.String` `getEncoding()` gets the encoding supported by this encoder
`void` `writeEncoded(java.io.Writer writer, java.lang.String xmlString)` write the encoded version of a given string

Method Detail

### getEncoding

    public java.lang.String getEncoding()

  gets the encoding supported by this encoder

  Returns:
    string

### encode

    public java.lang.String encode(java.lang.String xmlString)

  encode a given string

  Parameters:
    `xmlString` - string to be encoded
  Returns:
    encoded string

### writeEncoded

    public void writeEncoded(java.io.Writer writer,
                             java.lang.String xmlString)
                      throws java.io.IOException

  write the encoded version of a given string

  Parameters:
    `writer` - writer to write this string to
    `xmlString` - string to be encoded
  Throws:
    `java.io.IOException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.